%define upstream_name    PerlIO-via-gzip
%define upstream_version 0.021

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    PerlIO layer for gzip (de)compression
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/PerlIO/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(IO::Compress::Gzip)
BuildRequires: perl(IO::Uncompress::Gunzip)
BuildRequires: perl(Module::Build)
BuildRequires: perl(PerlIO::Util)
BuildRequires: perl(Test::More)
BuildRequires: perl(Module::Build::Compat)
BuildArch: noarch


%description
This module provides a PerlIO layer for transparent gzip de/compression,
using the IO::Compress::Gzip manpage and the IO::Uncompress::Gunzip
manpage.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
rm -rf %buildroot
%makeinstall_std

%clean
rm -rf %buildroot

%files
%defattr(-,root,root)
%doc Changes LICENSE META.yml README
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Sun Jan 23 2011 jquelin <jquelin> 0.21.0-1.mga1
+ Revision: 34148
- mageia rebuild
- imported package perl-PerlIO-via-gzip


* Fri Jan 14 2011 cpan2dist 0.021-1mdv
- initial mdv release, generated with cpan2dist
